Users

get
/users/

This method gets user profile details including username, email and various status or preferences indicators such as if the user is active, staff, superuser, or verified.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Query parameters
attributesanyOptional

Query parameter attributes used to filter results based on specific conditions.

attributes_kwargsanyOptional

Query parameter attributes_kwargs used to filter results based on specific conditions.

call_allowedbooleanOptional

Query parameter call_allowed used to filter results based on specific conditions.

date_joinedstring · date-timeOptional

Query parameter date_joined used to filter results based on specific conditions.

date_of_birthstring · dateOptional

Query parameter date_of_birth used to filter results based on specific conditions.

emailstringOptional

Query parameter email used to filter results based on specific conditions.

email_allowedbooleanOptional

Query parameter email_allowed used to filter results based on specific conditions.

first_namestringOptional

Query parameter first_name used to filter results based on specific conditions.

genderstringOptional

Query parameter gender used to filter results based on specific conditions.

groupsinteger[]Optional

Query parameter groups used to filter results based on specific conditions.

idintegerOptional

Query parameter id used to filter results based on specific conditions.

id__gtintegerOptional

Filters records where id is greater than the given value.

id__gteintegerOptional

Filters records where id is greater than or equal to the given value.

id__ltintegerOptional

Filters records where id is less than the given value.

id__lteintegerOptional

Filters records where id is less than or equal to the given value.

is_activebooleanOptional

Query parameter is_active used to filter results based on specific conditions.

is_anonymizedbooleanOptional

Query parameter is_anonymized used to filter results based on specific conditions.

is_staffbooleanOptional

Query parameter is_staff used to filter results based on specific conditions.

is_superuserbooleanOptional

Query parameter is_superuser used to filter results based on specific conditions.

language_codestringOptional

Query parameter language_code used to filter results based on specific conditions.

last_loginstring · date-timeOptional

Query parameter last_login used to filter results based on specific conditions.

last_namestringOptional

Query parameter last_name used to filter results based on specific conditions.

limitintegerOptional

Limits the number of results returned in the response.

localized_attributesanyOptional

Query parameter localized_attributes used to filter results based on specific conditions.

localized_attributes_kwargsanyOptional

Query parameter localized_attributes_kwargs used to filter results based on specific conditions.

modified_datestring · date-timeOptional

Query parameter modified_date used to filter results based on specific conditions.

modified_date__gtstring · date-timeOptional

Filters records where modified_date is greater than the given value.

modified_date__gtestring · date-timeOptional

Filters records where modified_date is greater than or equal to the given value.

modified_date__ltstring · date-timeOptional

Filters records where modified_date is less than the given value.

modified_date__ltestring · date-timeOptional

Filters records where modified_date is less than or equal to the given value.

pageintegerOptional

Query parameter page used to filter results based on specific conditions.

passwordstringOptional

Query parameter password used to filter results based on specific conditions.

phonestringOptional

Query parameter phone used to filter results based on specific conditions.

sms_allowedbooleanOptional

Query parameter sms_allowed used to filter results based on specific conditions.

sortstringOptional

Query parameter sort used to filter results based on specific conditions.

user_permissionsinteger[]Optional

Query parameter user_permissions used to filter results based on specific conditions.

user_typestringOptional

Query parameter user_type used to filter results based on specific conditions.

usernamestringOptional

Query parameter username used to filter results based on specific conditions.

Responses
chevron-right
200

Successful response for status code 200.

application/json
countintegerOptional

Numerical value representing quantity or total amount.

Example: 123
nextstring · uri · nullableOptional

This field defines the URL of the next page.

Example: http://api.example.org/accounts/?page=4
previousstring · uri · nullableOptional

This field defines the URL of the previous page.

Example: http://api.example.org/accounts/?page=2
get
/users/
200

Successful response for status code 200.

get
/users/{id}/

This method gets user profile details including username, email and various status or preferences indicators such as if the user is active, staff, superuser, or verified. This endpoint retrieves a specific record by its unique identifier.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idintegerRequired

A unique integer value identifying this user.

Responses
chevron-right
200

Successful response for status code 200.

application/json
attributesstringOptional

This field defines a dictionary containing the user's attributes.

attributes_kwargsstringOptional

This field defines a dictionary containing the user's attributes.

avatarstringOptional

This field defines the user's photo.

call_allowedstringOptional

This field defines the user's call communication consent.

date_joinedstringOptional

This field defines the creation date.

date_of_birthstringOptional

This field defines the user's birthday.

emailstring · email · max: 254Optional

Email address of the user or entity.

email_allowedstringOptional

This field defines the user's email communication consent.

first_namestring · max: 150Optional

The full name or label associated with the record.

genderstringOptional

This field defines the user's gender. Possible values are: male, female

groupsstringOptional

This field defines the permission groups to which the user is added.

idstringOptional

This field defines the database ID of the record.

is_activestringOptional

This field defines whether the user is active.

is_anonymizedstringOptional

This field defines whether the user has been anonymized.

is_staffstringOptional

This field defines whether the user is a staff.

is_superuserstringOptional

This field defines whether the user is a super user.

language_codestringOptional

This field defines the user's local language.

last_loginstringOptional

This field defines the date of the user's last login.

last_namestring · max: 150Optional

The full name or label associated with the record.

localized_attributesstringOptional

This field defines a dictionary containing translations of the user's attributes based on the language.

localized_attributes_kwargsstringOptional

This field defines a dictionary containing translations of the user's attributes based on the language.

modified_datestringOptional

This field defines the last updated date.

phonestringOptional

This field defines the user's phone number.

pkintegerOptional
sms_allowedstringOptional

This field defines the user's SMS communication consent.

user_permissionsstringOptional

This field defines the user’s permissions.

user_typestringOptional

This field defines the user type. Possible values are: guest, registered

usernamestringOptional

This field defines the username.

get
/users/{id}/

Last updated

Was this helpful?